Bug 708371 - Review Request: perl-RPM-VersionCompare - Compare RPM version strings
Summary: Review Request: perl-RPM-VersionCompare - Compare RPM version strings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 711462
TreeView+ depends on / blocked
 
Reported: 2011-05-27 13:36 UTC by Petr Pisar
Modified: 2011-06-21 17:33 UTC (History)
3 users (show)

Fixed In Version: perl-RPM-VersionCompare-0.1.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-31 07:46:33 UTC
Type: ---
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-05-27 13:36:23 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-RPM-VersionCompare/perl-RPM-VersionCompare.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-RPM-VersionCompare/perl-RPM-VersionCompare-0.1.0-1.fc14.src.rpm
Description:
This module provides functions to compare RPM version strings. No function
is exported by default. If possible, calls are passed to native librpm
library. Otherwise Python extension provided with RPM sources is re-
-implemented.

Comment 1 Marcela Mašláňová 2011-05-27 14:07:26 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=3096046
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

resolvedeps-f16 perl-RPM-VersionCompare-0.1.0-1.fc14.src.rpm 
Binary dependencies resolvable. Ok.

Looks good, APPROVED.

Comment 2 Petr Pisar 2011-05-30 07:31:18 UTC
New Package SCM Request
=======================
Package Name: perl-RPM-VersionCompare 
Short Description: Compare RPM version strings
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 3 Jens Petersen 2011-05-31 07:21:37 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2011-05-31 07:46:33 UTC
Thank you for the review and the repository.

Comment 5 Petr Pisar 2011-06-07 15:26:53 UTC
Package Change Request
======================
Package Name: perl-RPM-VersionCompare
New Branches: f14 f15
Owners: ppisar mmaslano psabata
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-06-07 18:13:20 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-06-08 07:03:59 UTC
perl-RPM-VersionCompare-0.1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-RPM-VersionCompare-0.1.0-1.fc15

Comment 8 Fedora Update System 2011-06-08 07:04:43 UTC
perl-RPM-VersionCompare-0.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-RPM-VersionCompare-0.1.0-1.fc14

Comment 9 Fedora Update System 2011-06-21 17:20:52 UTC
perl-RPM-VersionCompare-0.1.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-06-21 17:33:31 UTC
perl-RPM-VersionCompare-0.1.0-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.